* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  background-color: white;
  color: black;
  font-size: 15px;
  line-height: 1.5;
}

a {
  color: #262626;
  text-decoration: none;
}

span {
  color: #18a1f0;
}

ul {
  list-style: none;
}

h2 {
  padding-bottom: 10px;
}

.container {
  width: 90%;
  max-width: 1300px;
  margin: auto;
}

/* Nav */
.main-nav {
  /* width: 100%; */
  margin-bottom: 50px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 80px;
  padding: 20px 0;
  font-size: 15px;
}

.main-nav h1 {
  width: 110px;
}

.main-nav ul {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.main-nav ul li {
  padding: 0 10px;
}

.main-nav ul li a {
  padding-bottom: 2px;
}

.main-nav .home a {
  color: #18a1f0;
  border-bottom: 2px solid #18a1f0;
}

.main-nav ul li a:hover {
  color: #18a1f0;
  border-bottom: 2px solid #18a1f0;
}

.main-nav ul.main-menu {
  flex: 1;
  margin-left: 20px;
}

.main-nav .right-menu li {
  cursor: pointer;
  background-color: #ebf4fa;
  border: 2px solid #adb1b3;
  border-radius: 5px;
  padding: 10px 20px;
  color: white;
  font-size: 15px;
}

.main-nav .right-menu li a:hover {
  border-bottom: none;
}

.menu-btn {
  cursor: pointer;
  position: absolute;
  top: 20px;
  right: 30px;
  z-index: 2;
  display: none;
}

/* Hero */
.hero {
  width: 100%;
  height: 350px;
  display: flex;
  justify-content: center;
  text-align: center;
}

.hero-content {
  width: 40%;
}

.hero-content h2 {
  font-size: 30px;
  margin-bottom: 25px;
}

.hero-job-search {
  height: 60px;
  margin-top: 40px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  background-color: white;
  border-radius: 8px;
  box-shadow: -1px 10px 18px -3px rgba(0, 0, 0, 0.25);
}

.hero-job-search i {
  padding-right: 5px;
  color: #777;
}

.hero-job-search input {
  flex: 1;
  height: 40px;
  border: none;
  outline: none;
  font-size: 17px;
}

.hero-job-search button {
  padding: 15px 25px;
  color: white;
  background-color: #18a1f0;
  border: none;
  border-radius: 5px;
}

.hero-job-search button:hover {
  opacity: 0.9;
}

/* Job Category */
.job-category {
  background-color: #e9f3f7;
  padding: 30px;
}

.job-category-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
}

.job-category-card {
  margin: 30px 0 30px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
}

.job-category-card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 60px 30px;
  background-color: white;
}

.job-category-card-content i {
  color: white;
  background-color: #18a1f0;
  padding: 15px 15px;
  border-radius: 30px;
}

.job-category-card-webdev {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding: 60px 30px;
  color: white;
  background-color: #18a1f0;
}

.job-category-card-webdev i {
  color: #18a1f0;
  background-color: white;
  padding: 15px 15px;
  border-radius: 30px;
}

/* Your Next Job */
.your-next-job {
  width: 100%;
  padding: 30px;
  display: flex;
  flex-direction: column;
}

.your-next-job-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  text-align: center;
}

.your-next-job-search {
  display: flex;
  justify-content: space-around;
  margin: 60px 0;
}

.your-next-job-microsoft {
  width: 50%;
  display: flex;
  flex-direction: column;
}

.your-next-job-microsoft img {
  width: 70%;
  margin-bottom: 15px;
}

.your-next-job-microsoft .microsoftlogo {
  width: 80px;
}

.your-next-job-microsoft p {
  width: 60%;
  margin: 10px 0;
}

.your-next-job-microsoft-apply {
  width: 30%;
  max-width: 350px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.your-next-job-microsoft-apply h3 {
  font-size: 25px;
}

.your-next-job-microsoft-apply p {
  margin: 10px 0 20px 0;
}

.your-next-job-microsoft-apply button {
  width: fit-content;
  padding: 15px 25px;
  color: white;
  background-color: #18a1f0;
  border: none;
  border-radius: 5px;
}

.your-next-job-microsoft-apply button:hover {
  opacity: 0.9;
}

/* Links */
footer {
  background-color: #e9f3f7;
  color: #616161;
  font-size: 12px;
}

.address {
  margin-right: 80px;
}

.address h2 {
  color: #18a1f0;
  font-weight: 700;
}

.address p {
  padding-top: 5px;
}

.links {
  max-width: 1300px;
  margin: 0 auto;
  padding: 20px 20px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
  max-width: 1300px;
}

.links-inner {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-gap: 20px;
}

.links li {
  line-height: 2.8;
}

.links-inner li a:hover {
  color: #18a1f0;
}

@media only screen and (max-width: 900px) {
  .hero-content {
    width: 60%;
  }
}

@media only screen and (max-width: 800px) {
  .hero-content {
    width: 70%;
  }

  .job-category-card {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media only screen and (max-width: 700px) {
  .menu-btn {
    display: block;
  }

  .main-nav ul.main-menu {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #f2f2f2;
    width: 70%;
    height: 100%;
    border-right: 1px solid #ccc;
    padding: 30px;
    transform: translateX(-500px);
    transition: transform 0.5s ease-in-out;
  }

  .main-nav ul.main-menu li {
    padding: 10px;
    border-bottom: 1px solid #ccc;
    font-size: 14px;
  }

  .main-nav ul.main-menu li:last-child {
    border-bottom: 0;
  }

  .main-nav ul.main-menu.show {
    transform: translateX(-20px);
  }

  .menu-btn:hover {
    opacity: 0.5;
  }

  .main-nav ul.right-menu {
    margin-right: 60px;
  }

  .hero-content {
    width: 70%;
  }

  .job-category-card {
    grid-template-columns: repeat(2, 1fr);
  }

  .your-next-job-microsoft {
    margin-right: 50px;
  }

  .your-next-job-microsoft p {
    width: 100%;
    margin: 10px 0;
  }

  .your-next-job-microsoft-apply {
    width: 35%;
  }
}

@media only screen and (max-width: 540px) {
  .hero-content {
    width: 100%;
  }
  .job-category-card {
    grid-template-columns: 1fr;
  }

  .links {
    grid-template-columns: 1fr;
  }

  .links-inner {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width: 500px) {
  .hero-content {
    width: 80%;
  }

  .job-category-card {
    grid-template-columns: 1fr;
  }

  .your-next-job-search {
    display: flex;
    flex-direction: row;
    justify-content: none;
  }

  footer {
    display: flex;
    flex-direction: column;
  }

  .links {
    grid-template-columns: 1fr;
  }

  .links-inner {
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width: 474px) {
  .hero-content {
    width: 100%;
  }

  .main-nav ul.right-menu {
    margin-right: 50px;
  }
}

@media only screen and (max-width: 463px) {
  .main-nav ul {
    gap: 10px;
  }

  .main-nav ul.right-menu {
    margin-right: 40px;
  }
}

@media only screen and (max-width: 440px) {
  .main-nav {
    margin-bottom: 10px;
  }

  .main-nav .right-menu li {
    padding: 8px 15px;
    font-size: 15px;
  }

  .main-nav ul.right-menu {
    display: none;
  }

  .hero-content h2 {
    margin-bottom: 15px;
  }

  .hero-job-search {
    margin-top: 20px;
  }

  .hero-job-search i {
    padding: 0 1px 0 2px;
  }

  .hero-job-search input {
    font-size: 15px;
  }

  .hero-job-search button {
    margin-right: 5px;
  }
}
